package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.News;
import com.lightinit.hsdataplatform.entity.NewsExample;
import com.lightinit.hsdataplatform.entity.NewsWithBLOBs;
import java.util.List;
import com.lightinit.hsdataplatform.model.admin.ConsultSearchModel;
import com.lightinit.hsdataplatform.model.admin.NewModel;
import org.apache.ibatis.annotations.Param;

public interface NewsMapper {
    long countByExample(NewsExample example);

    int deleteByExample(NewsExample example);

    int deleteByPrimaryKey(Long id);

    int insert(NewsWithBLOBs record);

    int insertSelective(NewsWithBLOBs record);

    List<NewsWithBLOBs> selectByExampleWithBLOBs(NewsExample example);

    List<News> selectByExample(NewsExample example);

    NewsWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") NewsWithBLOBs record, @Param("example") NewsExample example);

    int updateByExampleWithBLOBs(@Param("record") NewsWithBLOBs record, @Param("example") NewsExample example);

    int updateByExample(@Param("record") News record, @Param("example") NewsExample example);

    int updateByPrimaryKeySelective(NewsWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(NewsWithBLOBs record);

    int updateByPrimaryKey(News record);

    List<NewModel> getNewsList(ConsultSearchModel inputModel);

    int queryNewsCount(ConsultSearchModel inputModel);
}